#include <stdio.h>
#include "libguess.h"

int main(int argc, char *argv[])
{
	static unsigned char euc_str[] = "塼ɽ";
	static unsigned char sjis_str[]= {0x83, 0x5C, 0x83, 0x8A, 0x83, 0x85, 0x81, 0x5B, 0x83,
				 0x56, 0x83, 0x87, 0x83, 0x93, 0x95, 0x5C, 0x8E, 0xA6};
	static unsigned char jis_str[] = {0x1B, 0x24, 0x42, 0x25, 0x3D, 0x25, 0x6A, 0x25, 0x65,
				 0x21, 0x3C, 0x25, 0x37, 0x25, 0x67, 0x25, 0x73, 0x49,
				 0x3D, 0x3C, 0x28, 0x1B, 0x28, 0x42};
	static unsigned char utf8_str[]= {0xE3, 0x82, 0xBD, 0xE3, 0x83, 0xAA, 0xE3, 0x83, 0xA5,
				 0xE3, 0x83, 0xBC, 0xE3, 0x82, 0xB7, 0xE3, 0x83, 0xA7,
				 0xE3, 0x83, 0xB3, 0xE8, 0xA1, 0xA8, 0xE7, 0xA4, 0xBA};

	printf("charset = %s\n", guess_jp(euc_str, strlen(euc_str)));
	printf("charset = %s\n", guess_jp(sjis_str, strlen(sjis_str)));
	printf("charset = %s\n", guess_jp(jis_str, strlen(jis_str)));
	printf("charset = %s\n", guess_jp(utf8_str, strlen(utf8_str)));
}
